#
# VFS for ruby - open anything with URI
# 
#   Copyright: Tatsuki Sugiura <sugi@nemui.org>
#   License: Ruby's original or GPL2
#   $LastChangedDate: 2003-10-19 21:23:09 +0900 (Sun, 19 Oct 2003) $
#   $LastChangedBy: sugi $
#

require 'vfs/scheme/http/file'
require 'vfs/scheme/https/common'

module VFS;  module SchemeHandler;  module HTTPS;
  class File < VFS::SchemeHandler::HTTP::File
    include VFS::SchemeHandler::HTTPS::Common

  end # File
end; end; end

if __FILE__ == $0

  url = "https://www.verisign.com/"

  f = VFS::SchemeHandler::HTTPS::File.new(url)
  p f
  p f.size
  p f.mtime
  p f.open.read(60)

end
